Get current API key

GET/v1/key

Get information about the API key used to authenticate the current request.

Authentication

Authorization Bearer

Use a Token360 API key in the Authorization header (sk-token360-...).

Response

dataobject

Current API key details.

data.hashstring

Hash identifier used by management endpoints.

data.namestring

API key name.

data.labelstring

Human-readable label. Matches name.

data.disabledboolean

True when the key status is not ACTIVE or expires_at is in the past.

data.workspace_idstring

Workspace code for the key.

data.creator_user_idstring | null

Owner user ID.

data.created_atstring

Create timestamp in UTC ISO-8601 format.

data.updated_atstring | null

Last update timestamp.

data.expires_atstring | null

UTC expiration timestamp, or null.

data.usagenumber

Total Token360 credit usage in USD.

data.usage_dailynumber

Daily usage. Currently 0.

data.usage_weeklynumber

Weekly usage. Currently 0.

data.usage_monthlynumber

Monthly usage. Currently 0.

data.limitnumber | null

Spending limit. Currently null.

data.limit_remainingnumber | null

Remaining spending limit. Currently null.

data.limit_resetstring | null

Limit reset interval. Currently null.

data.is_free_tierboolean

Currently false.

data.is_management_keyboolean

Currently true for these management responses.

data.is_provisioning_keyboolean

Currently false.

data.rate_limitobject

Per-minute request limit metadata.

Request

Shell
1curl https://api.token360.ai/v1/key \
2  -H "Authorization: Bearer sk-token360-inf-..."

Response

JSON
1{
2  "data": {
3    "hash": "f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943",
4    "name": "Analytics Service Key",
5    "label": "Analytics Service Key",
6    "disabled": false,
7    "workspace_id": "DEFAULT",
8    "creator_user_id": "42",
9    "created_at": "2026-06-04T00:00:00Z",
10    "updated_at": "2026-06-04T01:00:00Z",
11    "expires_at": null,
12    "usage": 12.34,
13    "usage_daily": 0,
14    "usage_weekly": 0,
15    "usage_monthly": 0,
16    "limit": null,
17    "limit_remaining": null,
18    "limit_reset": null,
19    "is_free_tier": false,
20    "is_management_key": true,
21    "is_provisioning_key": false,
22    "rate_limit": {
23      "interval": "minute",
24      "note": "Token-360 per-minute request limit",
25      "requests": 1000
26    }
27  }
28}
Was this page helpful?